Bug 1279187 - (python-pyoptical) Review Request: python-pyoptical - Pure python interface to OptiCAL
Review Request: python-pyoptical - Pure python interface to OptiCAL
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-11-08 08:41 EST by Adrian Alves
Modified: 2015-12-09 15:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-09 15:51:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Adrian Alves 2015-11-08 08:41:44 EST
Spec URL: https://alvesadrian.fedorapeople.org/neurofedora/python-pyoptical.spec
SRPM URL: https://alvesadrian.fedorapeople.org/neurofedora/python-pyoptical-0.4-1.fc24.src.rpm
Description: Pure python interface to OptiCAL
Fedora Account System Username: alvesadrian
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-25 11:27:04 EST
No need to have both python2 and python3 scripts [https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin].

Looks fine otherwise.
Comment 2 Igor Gnatenko 2015-11-25 12:53:42 EST
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> No need to have both python2 and python3 scripts
> [https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.
> 2Fbin].
> 
> Looks fine otherwise.

But those scripts uses different python runtimes. Wiki is not clear for me. Not sure if they provides exactly same functions. Should I make only one unversioned binary and put it to py3 pkg?
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-25 15:10:50 EST
Yes, iiuc, the script simply prints values reported by the device to stdout. It should not matter what python runtime is used. If it works with python3, python3 runtime should be used.
Comment 5 Zbigniew Jędrzejewski-Szmek 2015-11-28 22:41:46 EST
- license is OK
- license file is missing, but upstream has been bugged
- latest version
- latest python packaging template is used
- requires/provides are sane
- builds and installs fine

Package is APPROVED.
Comment 6 Till Maas 2015-11-29 10:49:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pyoptical
Comment 7 Fedora Update System 2015-11-29 11:09:22 EST
python-pyoptical-0.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e1562fb56d
Comment 8 Fedora Update System 2015-11-29 18:52:27 EST
python-pyoptical-0.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pyoptical'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e1562fb56d
Comment 9 Fedora Update System 2015-12-09 15:51:03 EST
python-pyoptical-0.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.